@rem don't forget to change version number both in DESCRIPTION and below
@set Version=1.3-0
@set PACKAGE_NAME=jit
@set REXEC=\PROGRA~1\R\R-2.13.1
@set PACKAGE_SRC_DIR=C:/a/%PACKAGE_NAME%
@set WORK_DIR=\a\%PACKAGE_NAME%\.#
@set LOCAL_BUILDS=C:/a/r/local_builds

@rem R needs a slightly different path to my standard path
@set | egrep -i "path=[^;]*Rtools" >NUL && goto :done @rem only do it if needed
@echo Modifying path
@rem @rem path which keeps my \bin in front (TODO doesn't work for quick build, cat fails, but ok for full build)
@rem @set path=C:\bin;C:\Rtools\bin;C:\Rtools\perl\bin;C:\Rtools\MinGW\bin;C:\Rtools\MinGW64\bin;%PATH%
@rem conservative path:
@set path=C:\Rtools\bin;C:\Rtools\perl\bin;C:\Rtools\MinGW\bin;C:\Rtools\MinGW64\bin;%PATH%
@rem following needed else get long warning message from cygwin utils like ls
@set CYGWIN=nodosfilewarning
@set R_HOME=C:\a\r\ra
@set TMPDIR=C:/tmp
:done
@rm -f Makedeps

@rem ===proper build and install ===
%REXEC%\bin\x64\rcmd.exe INSTALL --debug --html %PACKAGE_SRC_DIR%
mks.cp -r "/Program Files/R/R-2.13.1/library/jit" /a/r/2131/library
mks.cp -r "/Program Files/R/R-2.13.1/library/jit" /a/r/ra/library
mks.cp -r "/Program Files/R/R-2.13.1/library/jit" /a/r/ra64/library

@rem @rem ===build for gzip file release===
@rem "%REXEC%\bin\x64\rcmd" build %PACKAGE_SRC_DIR%
@rem \bin\mv ./%PACKAGE_NAME%_*.tar.gz %LOCAL_BUILDS%
@rem \bin\ls -l %LOCAL_BUILDS%/%PACKAGE_NAME%_*.tar.gz

@rem @rem ===install from release=== (must build the gzip file above before doing this)
@rem %REXEC%\bin\x64\rcmd.exe INSTALL %LOCAL_BUILDS%/%PACKAGE_NAME%_%Version%.tar.gz

@rem @rem ===check release=== (must build the gzip file above before doing this)
@rem @rem R_CHECK_SUBDIRS_NOCASE is 0 because it seems to cause false positives
@rem @rem results go into \tmp\%PACKAGE_NAME%.Rcheck (work in \tmp else permission problems)
@rem cd \tmp
@rem @set _R_CHECK_USE_CODETOOLS_=1
@rem @set _R_CHECK_ALL_NON_ISO_C_=1
@rem @set _R_CHECK_RD_STYLE_=1
@rem @set _R_CHECK_SUBDIRS_NOCASE_=0
@rem @%REXEC%\bin\x64\rcmd.exe check %LOCAL_BUILDS%/%PACKAGE_NAME%_%Version%.tar.gz
@rem cd %WORK_DIR%
